#
# mountall.sh	Mount all filesystems.
#
# Version:	@(#)mountall.sh  2.83-2  01-Nov-2001  miquels@cistron.nl
#
. /etc/default/rcS

#
# Mount local file systems in /etc/fstab. For some reason, people
# might want to mount "proc" several times, and mount -v complains
# about this. So we mount "proc" filesystems without -v.
#
[ "$VERBOSE" != no ] && echo "Mounting local filesystems..."
mount -anvt nonfs,nosmbfs,noncpfs,noproc 2> /dev/null

if [ -e /var ]
then
	[ "$VERBOSE" != no ] && echo "Creating /var subdirectories..."
	tar xf /etc/initfs/var.tar -C /var
fi

mount -ant proc 2> /dev/null

mount -t devpts devpts /dev/pts -ogid=5,mode=620

kill -USR1 1

dmesg -s 65536 > /var/log/dmesg

: exit 0

